
clssScoreCard.prototype.reset = function () {
	this.cFilledSlots = 0;
	
	this.cScoreLeftSubTotal = 0;
	this.tfScoreLeftSubTotal.text = 0;
	this.cBonus = 0;
	this.tfBonus.text = 0;
	this.cScoreLeft = 0;
	this.tfScoreLeft.text = 0;
	this.cScorRight = 0;
	this.tfScoreRight.text = 0;
	this.cScore = 0;
	this.tfScore.text = 0;
	
	for (var i=0; i<this.cSlotsLeft; i++) {
		this.aSlotsLeft[i].reset();
	}
	for (var i=0; i<this.cSlotsRight; i++) {
		this.aSlotsRight[i].reset();
	}
	this.deactivate();
}


clssScoreCard.prototype.activate = function () {
	for (var i=0; i<this.cSlotsLeft; i++) {
		this.aSlotsLeft[i].activate();
	}
	for (var i=0; i<this.cSlotsRight; i++) {
		this.aSlotsRight[i].activate();
	}
}

clssScoreCard.prototype.deactivate = function () {
	for (var i=0; i<this.cSlotsLeft; i++) {
		this.aSlotsLeft[i].deactivate();
	}
	for (var i=0; i<this.cSlotsRight; i++) {
		this.aSlotsRight[i].deactivate();
	}
}
clssScoreCard.prototype.updateScoreLeft = function () {
	var cScore = 0;
	createProperty 
	for (var i=0; i<this.cSlotsLeft; i++) {
		cScore += this.aSlotsLeft[i].getValue();
	}
	this.cScoreLeftSubTotal = cScore;
	this.tfScoreLeftSubTotal.text = cScore;
	
	// check for the bonus
	if (cScore >= this.oBonusSettings.minScore) {
		this.cBonus = this.oBonusSettings.value;			
	}
	else {
		this.cBonus = 0;
	}
	this.tfBonus.text = this.cBonus;
	
	this.cScoreLeft = this.cScoreLeftSubTotal + this.cBonus;
	this.tfScoreLeft.text = this.cScoreLeft;	
}

clssScoreCard.prototype.updateScoreRight = function () {
	var cScore = 0;
	var refmcSlot;
	for (var i=0; i<this.cSlotsRight; i++) {
		refmcSlot = this.aSlotsRight[i];
		cScore += refmcSlot.getValue();
	}
	this.cScoreRight = cScore;
	this.tfScoreRight.text = cScore;
}

clssScoreCard.prototype.updateScore = function () {
	var cScore = this.cScoreLeft + this.cScoreRight;	
	this.cScore = cScore;
	this.tfScore.text = cScore;
}

clssScoreCard.prototype.scoreEntered = function () {
	this.updateScoreLeft();
	this.updateScoreRight(); 
	this.updateScore();
	
	this.cFilledSlots++;
	if (this.cFilledSlots < this.cSlots) {
		this._parent.startTurn();
	}
	else {
		// end of game
		trace ("game over");
	}
}